// attention 
// Copyright (C) 2018 MACNICA Inc. All Rights Reserved.
//   This software is licensed "AS IS". 
//   Please perform use of this software by a user's own responsibility and expense.
//   It cannot guarantee in the maker side about the damage which occurred by the ab-
//   ility not to use or use this software, and all damage that occurred secondarily.

module uart_test(
	input 	    	FPGA_CLK1_50,
	input 	[1:0]	KEY,
	output			txd,
	input			rxd
);

wire	clk_100;
wire	clk_1;
wire	reset_n;

pll pll_inst (
	.refclk		(FPGA_CLK1_50),		// Input Clock(50MHz)
	.rst		(!KEY[0]),			// Reset
	.outclk_0	(clk_100),			// Output Clock(100MHz)
	.locked		(reset_n)			// PLL Locked
);	

test_sys u_test_sys (
	.clk_clk      	(clk_100),
	.reset_reset_n  (reset_n),

	.uart_rxd       (rxd),
	.uart_txd       (txd)
);  

endmodule
